Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.jpa.map
Class JpaPersistenceUnitDefaults

    java.lang.Object
      org.apache.cayenne.jpa.map.JpaPersistenceUnitDefaults

    public class JpaPersistenceUnitDefaults

extends Object

Author:
  Andrus Adamchik

Field Summary
`protected AccessType` | `access`
`protected boolean` | `cascadePersist`
`protected String` | `catalog`
`protected JpaEntityListeners` | `entityListeners`
`protected String` | `schema`

Constructor Summary
`JpaPersistenceUnitDefaults()`

Method Summary
`AccessType` | `getAccess()`
`String` | `getCatalog()`
`JpaEntityListeners` | `getEntityListeners()`
`String` | `getSchema()`
`boolean` | `isCascadePersist()`
`void` | `setAccess(AccessType access)`
`void` | `setCascadePersist(boolean cascadePersist)`
`void` | `setCatalog(String catalog)`
`void` | `setEntityListeners(JpaEntityListeners entityListeners)`
`void` | `setSchema(String schema)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### schema

    protected String schema

### catalog

    protected String catalog

### access

    protected AccessType access

### cascadePersist

    protected boolean cascadePersist

### entityListeners

    protected JpaEntityListeners entityListeners

Constructor Detail

### JpaPersistenceUnitDefaults

    public JpaPersistenceUnitDefaults()

Method Detail

### getEntityListeners

    public JpaEntityListeners getEntityListeners()

### setEntityListeners

    public void setEntityListeners(JpaEntityListeners entityListeners)

### getAccess

    public AccessType getAccess()

### setAccess

    public void setAccess(AccessType access)

### isCascadePersist

    public boolean isCascadePersist()

### setCascadePersist

    public void setCascadePersist(boolean cascadePersist)

### getCatalog

    public String getCatalog()

### setCatalog

    public void setCatalog(String catalog)

### getSchema

    public String getSchema()

### setSchema

    public void setSchema(String schema)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.